// ======================================================================
//
// MenuHover.h
// hugh david & ~Chuck Karpiak
//
// copyright 1997 origin systems inc
//
// ======================================================================

#ifndef MENU_HOVER_H
#define MENU_HOVER_H

// ======================================================================

#include "MenuElement.h"

// ======================================================================

class MenuHover : public MenuElement
{
private:

	struct Event
	{
		int start;
		int stop;
	};

protected:

	Event *events;
	int   numEvents;
	bool  mouseIsOverMe;

private:

	MenuHover(void);
	MenuHover(const MenuHover &);
	MenuHover &operator =(const MenuHover &);
	void             init(void);

public:

	MenuHover(MenuElement *parent, int maxWidth, int maxHeight, Iff *iff=NULL);
	virtual ~MenuHover(void);

	void             load(Iff *iff);

	virtual IoResult event(IoEventStruct *event);
	virtual IoResult update(void);
	virtual void     menuDraw(int x, int y) const;
};

// ======================================================================

#endif


